<div class="search">
  <input type="text" name="search" class="form-control" placeholder="search champions" [(ngModel)]="search" (ngModelChange)="filterChampionList()">
</div>

<h2 *ngIf="search === ''">Free Champion :</h2>
<app-champion-card *ngIf="search === ''" [championList]="freeChampionsList"></app-champion-card>

<h2>All Champion :</h2>
<app-champion-card [championList]="filteredChampionsList"></app-champion-card>

